# README
Restaurant “5 minuti” opened in July 2020 in Ålesund center. They make fresh, high-quality Italian food, including Pizza al taglio and delicious pastries.

5 minuti is a growing business and have always lots of ideas for development. One of possible extensions that they see for their business: a booking system where people could book a table in advance.

The project for bachelor students would be to create a table booking system as a mobile app (or a mobile-friendly website), plus a physical interface in the restaurant allowing customers to see which tables are free and which are reserved.

This project involves a lot of creativity, the students need to come up with innovative solutions. The owners of the restaurant have a general vision: an intuitive, simple and clear booking system. The part of the journey is to find out how to do it – which technological options are out there, what would users prefer, etc.

### Install dependencies
`npm install`

## Environment variables
### Frontend:
* In terminal: navigate into \frontend folder
* `npm install`
* Development: `ng serve`
* Production: `ng build --prod`
* To access the PWA feature:
  * Build to production
  * Go into the build folder in the ternminal 
  * Write: `http-server -p 8080`
  * Go to localhost:8080

### Backend:
* Create a MongoDB database (M0 Sandbox (General))
    * Connection string: Connect to cluster button > connect your application > "mongodb+srv://"-string
* In terminal: navigate into /backend folder
* Install dependencies: `npm install`
* Create `.env`-file in /backend folder containing environment variables:\
`MONGO_URI= "<Mongodb connection string>"`\
`PORT= <port number (int)>`\
`usernameVariable= "<username (string)>"`\
`passwordVariable= "<password (string)>"`\
`SECRET_KEY = "<secret key (string)>"`
* Run app.js:
  * Development: `nodemon app.js`
  * Production: `node app.js`


