const jwt = require("jsonwebtoken");
require('dotenv').config();

/**
 * Ref: https://expressjs.com/en/guide/writing-middleware.html
 * @type {{password: *, username: *}} object for username and password
 */
const user = {
  username: process.env.usernameVariable, password: process.env.passwordVariable
};
module.exports = (req, res, next) => {
  try {
    const token = req.headers.authorization.split(" ")[1];
    const decodedToken = jwt.verify(token, process.env.SECRET_KEY);
    req.userData = {username: decodedToken.username, password: decodedToken.password};
    next();
  } catch (error) {
    res.status(401).json({ message: "Auth failed!" });
  }
};
