const mongoose = require('mongoose');

const reservationSchema = new mongoose.Schema({
    date: { type: String, required: true },
    fromTime: { type: String, required: true },
    toTime: { type: String, required: true },
    guestCounter: { type: String, required: true },
    name: { type: String, required: true, min : 6, max : 1},
    email: { type: String, required: true },
    tableSelected: { type: Array, required: true },
    customMsg: { type: String, required: false },
    phoneNum: { type: String, required: true },
    statusCheckbox: {
        type: Boolean,
        required: false,
        default: false
    }
});


module.exports = mongoose.model('reservations', reservationSchema);
