const express = require("express");
const ReservationController = require("../controllers/reservations");
const checkAuth = require("../middleware/check-auth");

const router = express.Router();

/**
 * Ref: https://stackoverflow.com/questions/32358504/express-middleware-only-if-route-matches-later
 */
router.post("", ReservationController.createReservation);

router.get("", checkAuth, ReservationController.getReservation);

router.delete("/:id", checkAuth, ReservationController.deleteReservation);

router.put("/:id", checkAuth, ReservationController.updateReservation);

module.exports = router;
