import {HttpClient} from '@angular/common/http';
import {Injectable, SystemJsNgModuleLoader} from '@angular/core';
import {Observable} from 'rxjs';
import {Reservation} from './reservation.model';
import {Subject} from 'rxjs';
import {of} from 'rxjs';
import {User} from './User';
import {environment} from '../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class ReservationService {
  selectedReservation: Reservation;
  private reservations: Reservation[] = [];
  private reservationsUpdated = new Subject<Reservation[]>();

  constructor(private http: HttpClient) {
  }

  getReservations(): Observable<Reservation[]> {
    this.http.get(environment.API_URL + '/api/reservations').subscribe(responseData => {
      var allStringsFromDB = JSON.stringify(responseData);
      var arrayfromDb = of(responseData).subscribe();
    });
    return this.http.get<Reservation[]>( environment.API_URL + `/api/reservations`);
  }

  getReservationUpdateListener() {
    return this.reservationsUpdated.asObservable();
  }

  addReservation(date: string, fromTime: string, toTime: string, guestCounter: string,
                 name: string, tableSelected: string[], email: string, customMsg: string,
                 phoneNum: string, statusCheckbox: boolean): Observable<Reservation> {
    return this.http.post<Reservation>(environment.API_URL + `/api/reservations`,
      {date, fromTime, toTime, guestCounter, name, tableSelected, email, customMsg, phoneNum, statusCheckbox});
  }

  addUser(name: string, email: string, customMsg: string, phoneNum: string): Observable<User> {
    return this.http.post<User>(environment.API_URL + `/api/users`,
      {name, email, customMsg, phoneNum});
  }

  cancelReservation(id: string): Observable<any> {
    return this.http.delete(environment.API_URL + `/api/reservations/${id}`);
  }

  updateReservation(reservation: Reservation) {
    return this.http.put(environment.API_URL + '/api/reservations/' + `${reservation._id}`, reservation);
  }
}


