import {HttpClient} from '@angular/common/http';
import {Injectable, SystemJsNgModuleLoader} from '@angular/core';
import {environment} from '../environments/environment.prod';
import {Observable} from 'rxjs';
import {User} from './user.model';
import {Subject} from 'rxjs';
import {of} from 'rxjs';

class T {
}

@Injectable({
  providedIn: 'root'
})
export class UserService {
  selectedUser: User;
  private users: User[] = [];
  private usersUpdated = new Subject<User[]>();

  constructor(private http: HttpClient) {
  }

  getUsers(): Observable<User[]> {
    this.http.get(environment.API_URL + '/api/users').subscribe(responseData => {
      const allStringsFromDB = JSON.stringify(responseData);
      const arrayfromDb = of(responseData).subscribe();

    });
    return this.http.get<User[]>(environment.API_URL + `/api/users`);
  }

  getUserUpdateListener(): Observable<T> {
    return this.usersUpdated.asObservable();
  }

  addUser(name: string, email: string, customMsg: string, phoneNum: string): Observable<User> {
    return this.http.post<User>(environment.API_URL + `/api/users`,
      {name, email, customMsg, phoneNum});
  }

  cancelUser(id: string): Observable<any> {
    return this.http.delete(environment.API_URL + `/api/users/${id}`);
  }
}
